import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/bank/handoverstandard/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bank/handoverstandard/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bank/handoverstandard/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bank/handoverstandard/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bank/handoverstandard/submit',
    method: 'post',
    data: row
  })
}

export const getStandardByCode = (code) => {
  return request({
    url: '/api/bank/handoverstandard/getStandardByCode',
    method: 'get',
    params: {
      code,
    }
  })
}

export const getCodeList = () => {
  return request({
    url: '/api/bank/handoverstandard/getCodeList',
    method: 'get',
    params: {
    }
  })
}


